package com.gingersoft.gsa.delivery_pick_mode.data.model.bean

import com.gingersoft.gsa.cloud.common.core.delivery.OrderDetails

/**
 * 統一轉換類
 */
class FoodDetailsTranBean(var odsId: String?, var PRICE: String?,
                          var num: String?, var pid: String?,
                          var PRODUCT_NAME: String?) {
    object FoodDetails{
        fun getByPRODUCTNAMEBean(bean: OrderDetails.DataBean.PRODUCTNAMEBean): FoodDetailsTranBean {
            return FoodDetailsTranBean(bean.odsId, bean.PRICE, bean.num, bean.pid, bean.PRODUCT_NAME)
        }

        fun getByChildBeanX(bean: OrderDetails.DataBean.PRODUCTNAMEBean.ChildBeanX): FoodDetailsTranBean {
            return FoodDetailsTranBean(bean.odsId, bean.PRICE, bean.num, bean.pid, bean.PRODUCT_NAME)
        }

        fun getByChildBean(bean: OrderDetails.DataBean.PRODUCTNAMEBean.ChildBeanX.ChildBean): FoodDetailsTranBean {
            return FoodDetailsTranBean(bean.odsId, bean.PRICE, bean.num, bean.pid, bean.PRODUCT_NAME)
        }
    }
}